summaryrefslogtreecommitdiffstats
path: root/source/ap/sc-im
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/sc-im')
-rwxr-xr-xsource/ap/sc-im/repack-github-archive.sh10
-rwxr-xr-xsource/ap/sc-im/sc-im.SlackBuild118
-rw-r--r--source/ap/sc-im/sc-im.url1
-rw-r--r--source/ap/sc-im/slack-desc19
4 files changed, 148 insertions, 0 deletions
diff --git a/source/ap/sc-im/repack-github-archive.sh b/source/ap/sc-im/repack-github-archive.sh
new file mode 100755
index 000000000..08799353d
--- /dev/null
+++ b/source/ap/sc-im/repack-github-archive.sh
@@ -0,0 +1,10 @@
+ARCHIVE_ORIG=$(/bin/ls v*.tar.gz)
+NEW_BASENAME="sc-im-$(basename $ARCHIVE_ORIG .tar.gz | cut -b2-)"
+rm -rf ${NEW_BASENAME}*
+tar xf $ARCHIVE_ORIG
+# Dump this stuff:
+rm -rf $NEW_BASENAME/{examples,screenshots}
+tar cf ${NEW_BASENAME}.tar ${NEW_BASENAME}
+plzip -9 ${NEW_BASENAME}.tar
+rm -f ${ARCHIVE_ORIG}
+rm -rf ${NEW_BASENAME}
diff --git a/source/ap/sc-im/sc-im.SlackBuild b/source/ap/sc-im/sc-im.SlackBuild
new file mode 100755
index 000000000..38e7c6b2d
--- /dev/null
+++ b/source/ap/sc-im/sc-im.SlackBuild
@@ -0,0 +1,118 @@
+#!/bin/bash
+
+# Copyright 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=sc-im
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$(uname -m)" in
+ i?86) ARCH=i586 ;;
+ arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$(uname -m) ;;
+ esac
+ export ARCH
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O3 -march=armv7-a -mfpu=vfpv3-d16"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
+cd $PKGNAM-$VERSION || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cd src
+sed -i "s,/usr/local,/usr,g" Makefile
+# This name would conflict with the scim package:
+sed -i "s,name = scim,name = sc-im,g" Makefile
+# Fix mandir:
+sed -i "s,share/man/man1,man/man1,g" Makefile
+make || exit 1
+make install DESTDIR=$PKG
+
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Compress manual pages:
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do
+ ln -s $( readlink $i ).gz $i.gz
+ rm $i
+done
+
+# Add a documentation directory:
+cd ..
+mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
+cp -a \
+ BUGS CHANGES HELP KNOWN_ISSUES LICENSE* Readme* USER_REQUESTS WIKI \
+ $PKG/usr/doc/${PKGNAM}-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/ap/sc-im/sc-im.url b/source/ap/sc-im/sc-im.url
new file mode 100644
index 000000000..a566b9207
--- /dev/null
+++ b/source/ap/sc-im/sc-im.url
@@ -0,0 +1 @@
+https://github.com/andmarti1424/sc-im
diff --git a/source/ap/sc-im/slack-desc b/source/ap/sc-im/slack-desc
new file mode 100644
index 000000000..bf9555e11
--- /dev/null
+++ b/source/ap/sc-im/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+sc-im: sc-im (A curses based spreadsheet calculator)
+sc-im:
+sc-im: SC-IM is a spreadsheet program that is based on SC. SC original
+sc-im: authors are James Gosling and Mark Weiser, and mods were later added
+sc-im: by Chuck Martin. SC-IM is developed by Andrés Martinell.
+sc-im: SC-IM extends the feature set to include undo/redo, larger possible
+sc-im: speadsheets, better support for common file formats, vim-like key
+sc-im: mappings, Unicode support, and more.
+sc-im:
+sc-im: Homepage: https://github.com/andmarti1424/sc-im
+sc-im: